Cannot build programs for DB2 UDB V6.1 with FixPack FP10_IP22471.tar 
Author Message
 Cannot build programs for DB2 UDB V6.1 with FixPack FP10_IP22471.tar

I recently upgraded my OS from Red Hat Linux 6.2 to Red Hat Linux
7.3. At the same time, I applied FP10_IP22471.tar to upgrade from
the CD-ROMS I originally bought from IBM. The trouble is that many
of the programs I write myself will no longer build. The problem
programs produce diagnostic messages such as this when I run a
typical makefile:

/usr/bin/g++
-g -L/home/jdbeyer/stocks/lib -L/home/jdbeyer/lib
-L/home/db2inst1/sqllib/lib -o enter_dow main.o \
                -lstock -lmine \
                -W,-rpath,/home/db2inst1/sqllib/lib -ldb2
/home/db2inst1/sqllib/lib/libdb2.so: the use of `tmpnam' is
dangerous, better use `mkstemp'
/home/db2inst1/sqllib/lib/libdb2.so: the use of `tempnam' is
dangerous, better use `mkstemp'
/home/db2inst1/sqllib/lib/libdb2.so: undefined reference to `res_init'
/home/db2inst1/sqllib/lib/libdb2.so: undefined reference to
`__strtouq_internal'
/home/db2inst1/sqllib/lib/libdb2.so: undefined reference to
`__strtoq_internal'
collect2: ld returned 1 exit status

The first two complaints seem to be advisory and I imagine I can
ignore them, but the last three seem fatal. Have the needed
functions been moved to a library I am not linking (I hope)? If so,
what library is it and where do I get if if I do not have it?



Mon, 15 Nov 2004 06:00:07 GMT
 
 [ 1 post ] 

 Relevant Pages 

1. Recommended Fixpack version for DB2 UDB V6.1 on W98 2ed

2. Fixpack 7 for DB2 UDB V6.1

3. Error in Java Program, when it accesses DB2 UDB 7.2 from DB2 UDB 5.2 Client

4. UDB/DB2 Fixpack 7 / JDBC : executeBatch problem

5. Installing Fixpack 6 for 32 version on Db2 Udb EEE v7.1 on solaris

6. Is DB2 UDB 7.1 for W2k fixpack available?

7. How do you installing DB2 UDB fixpacks on Windows-98 clients from the Server

8. Fixpack 5 for DB2 V6?

9. IBM DB2 UDB V6.1 and SQL-Explorer

10. DB2 UDB 7.2 and DB2 UDB for AS/400 V5R1

11. import tables created with QMF for windows (DB2 v6.1) into UDB 7.1 runing on win98


 
Powered by phpBB® Forum Software